/v2/events/batch/jobs/{jobId}
1 min
GET
https://api.throughlinecare.com/v2/events/batch/jobs/{jobId}
Path Parameters
- jobIdstringrequired
Responses
200
- BatchJobStatusDescription
- statusstring<complete | failed>requiredExampleDescriptionAllowedcompletefailed
- acceptedinteger<int32>ExampleDescriptionFormatint32
- rejectedinteger<int32>ExampleDescriptionFormatint32
- errorsBatchJobError[]Description
- indexinteger<int32>requiredExampleDescriptionFormatint32
- fieldstringExampleDescription
- errorstringrequiredExampleDescription
- errorsTruncatedbooleanDescription
- errorsUrlstring<uri>ExampleDescriptionFormaturi
- errorstringExampleDescription
202
401
404
javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.throughlinecare.com/v2/events/batch/jobs/{jobId}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.throughlinecare.com/v2/events/batch/jobs/{jobId}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.throughlinecare.com/v2/events/batch/jobs/{jobId}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
java
OkHttpClient client = new OkHttpClient().newBuilder()
.build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
.url("https://api.throughlinecare.com/v2/events/batch/jobs/{jobId}")
.method("GET", body)
.addHeader("accept", "application/json")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();swift
var request = URLRequest(url: URL(string: "https://api.throughlinecare.com/v2/events/batch/jobs/{jobId}")!,timeoutInterval: Double.infinity)
request.addValue("application/json", forHTTPHeaderField: "accept")
request.addValue("application/json", forHTTPHeaderField: "content-type")
request.httpMethod = "GET"
let task = URLSession.shared.dataTask(with: request) { data, response, error in
guard let data = data else {
print(String(describing: error))
return
}
print(String(data: data, encoding: .utf8)!)
}
task.resume()
200
// Job complete.
{
"status": "complete",
"accepted": 950,
"rejected": 50,
"errors": [
{
"index": 41,
"field": "contactMethod",
"error": "contactMethod does not have a valid value"
}
],
"errorsTruncated": false,
"errorsUrl": "https://storage.googleapis.com/.../errors.json",
"error": "Uploaded object is missing."
}202
// Job still running.
401
// Unauthorized
404
// Not found